﻿// See https://aka.ms/new-console-template for more information

using FitConnect;
using FitConnect.Models;
using Microsoft.Extensions.Configuration;

// @formatter:off
void PrintFitConnect() {
    Console.WriteLine(@"    ______ ____ ______      ______                                  __  ");
    Console.WriteLine(@"   / ____//  _//_  __/     / ____/____   ____   ____   ___   _____ / /_ ");
    Console.WriteLine(@"  / /_    / /   / /______ / /    / __ \ / __ \ / __ \ / _ \ / ___// __/ ");
    Console.WriteLine(@" / __/  _/ /   / //_____// /___ / /_/ // / / // / / //  __// /__ / /_   ");
    Console.WriteLine(@"/_/    /___/  /_/        \____/ \____//_/ /_//_/ /_/ \___/ \___/ \__/   ");
}

void PrintSender() {
    Console.WriteLine(@"        _____                   __");
    Console.WriteLine(@"       / ___/ ___   ____   ____/ /___   _____");
    Console.WriteLine(@"       \__ \ / _ \ / __ \ / __  // _ \ / ___/");
    Console.WriteLine(@"      ___/ //  __// / / // /_/ //  __// /    ");
    Console.WriteLine(@"     /____/ \___//_/ /_/ \__,_/ \___//_/     ");
}

void PrintSubscriber() {
    Console.WriteLine(@"        _____         __                       _  __");
    Console.WriteLine(@"       / ___/ __  __ / /_   _____ _____ _____ (_)/ /_   ___   _____");
    Console.WriteLine(@"       \__ \ / / / // __ \ / ___// ___// ___// // __ \ / _ \ / ___/");
    Console.WriteLine(@"      ___/ // /_/ // /_/ /(__  )/ /__ / /   / // /_/ //  __// /    ");
    Console.WriteLine(@"     /____/ \__,_//_.___//____/ \___//_/   /_//_.___/ \___//_/     ");
}

PrintFitConnect();
Console.WriteLine(@"");
Console.WriteLine(@"");
Console.WriteLine("Demo client for the .NET SDK");
Console.WriteLine(@"");
// @formatter:on

var config = new ConfigurationBuilder()
    .AddJsonFile("appsettings.json")
    .Build();

var clientId = config["FitConnect:Sender:ClientId"];
var clientSecret = config["FitConnect:Sender:ClientSecret"];
var destinationId = config["FitConnect:Sender:DestinationId"];
var leikaKey = config["FitConnect:Sender:LeikaKey"];


PrintSender();
new Sender(FitConnectEnvironment.Development, clientId, clientSecret)
    .WithDestination(destinationId)
    .WithServiceType("FIT Connect Demo", leikaKey)
    .WithAttachments(new[] { new Attachment("Test.pdf", "Test Attachment") })
    .WithData("{\"message\":\"Hello World\"}")
    .Submit();


var privateKey = config["FitConnect:Subscriber:PrivateKey"];
var signatureKey = config["FitConnect:Subscriber:SignatureKey"];

PrintSubscriber();
