# Fit-Connect .NET SDK

For an implementation example take a look at the [DummyClient](DummyClient/Program.cs)

## Structure

For the structure look the [Structure documentation](structure.md)

## **!! IN DEVELOPMENT NOT FOR PRODUCTION USE !!**

**Fit-Connect .NET SDK** is a .NET library for the Fit-Connect API.

## For information how to use the SDK and FitConnect visit:

* [SDK-Documentation](./documentation/documentation.md)
* [FIT-Connect Documentation](https://docs.fitko.de/fit-connect/docs)
* [FIT-Connect Documentation](https://fit-connect.com/docs)


## Ignored Files

The files listed below are ignored and necessary just for development. In production the information
is provided by the user of the SDK.

You need a secret file for e2e test like:

```json
{
  "sender": {
    "id": "00000000-0000-0000-0000-000000000000",
    "secret": "0000000000000000000000000000000000000000000",
    "scope": "send:region:DE"
  }
}
```

# API Abstraction

```mermaid
    sequenceDiagram
        Client->>FitConnectServer: SendSubmission
        FitConnectServer->>Client: Success
```

## The sender process
```mermaid
    sequenceDiagram
        Sender->>FitConnectServer: GetSubmissions
        FitConnectServer->>Sender: Success
```

[glossary](https://docs.fitko.de/fit-connect/docs/glossary/)

### Tickets

- [Method signatures](https://git.fitko.de/fit-connect/planning/-/issues/438)
- [Java SDK](https://git.fitko.de/fit-connect/planning/-/issues/413)